package com.seeyon.ctp.rest.resources;

import com.seeyon.apps.src_powerfeeinvoice.service.PowerFeeService;
import com.seeyon.apps.src_powerfeeinvoice.vo.PowerFeeUpdateVo;
import com.seeyon.ctp.common.AppContext;
import com.seeyon.ctp.common.log.CtpLogFactory;
import org.apache.commons.logging.Log;


import javax.ws.rs.Consumes;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Response;


@Path("/powerfee")
@Produces({"application/json", "application/xml"})
public class PowerFeeController extends BaseResource {
    private static final Log log = CtpLogFactory.getLog(PowerFeeController.class);
    private PowerFeeService powerFeeService = (PowerFeeService) AppContext.getBean("powerFeeService");


    @POST
    @Path("/callback")
    @Produces({"application/json"})
    @Consumes({"application/json"})
    public Response callBack(PowerFeeUpdateVo updateVo) {
        try {
            return success("回写开票信息成功");
        }catch (Exception e) {
            return fail(e.getMessage());
        }
    }
}
